
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ios-NSURLIsExcludedFromBackupKey递归 / iVAN</title>

    <meta name="description" content="ios-NSURLIsExcludedFromBackupKey递归 问题描述 NSURLIsExcludedFromBackupKey递归 在文件目录中有很多文件,我想用 NSURLIsExcludedFromBackupKey ,用来阻止itune在应用中保存数据. 我能不能用在根目录URL中: [rootDirectoryURL setResourceValue:[NSNumber numberWithBool:YES] forKey:@&quot;&quot;NSURLIsExcludedFromBackupKey&quot;&quot; error:&a ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ios-NSURLIsExcludedFromBackupKey递归</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>NSURLIsExcludedFromBackupKey递归         </dt>
<dd>在文件目录中有很多文件，我想用 <strong>NSURLIsExcludedFromBackupKey</strong> ，用来阻止itune在应用中保存数据。</p>
<p>我能不能用在根目录URL中：</p>
<pre><code>[rootDirectoryURL setResourceValue:[NSNumber numberWithBool:YES] forKey:@""NSURLIsExcludedFromBackupKey"" error:&amp;error];</code></pre>
<p>怎么样给每个文件都调用呢？</p>
</dd>
</dl>
<h1>解决方案</h1>
<pre><code>- (BOOL)addSkipBackupAttributeToItemAtURL:(NSURL *)URL{    assert([[NSFileManager defaultManager] fileExistsAtPath: [URL path]]);    NSError *error = nil;    BOOL success = [URL setResourceValue:[NSNumber numberWithBool: YES]                                  forKey: NSURLIsExcludedFromBackupKey error: &amp;error];    if(!success){        NSLog(@""Error excluding %@ from backup %@"" [URL lastPathComponent] error);    }    return success;}</code></pre>
<p>而且可以检测任何文件：</p>
<pre><code>id flag = nil;[URL getResourceValue: &amp;flag               forKey: NSURLIsExcludedFromBackupKey error: &amp;error];NSLog (@""NSURLIsExcludedFromBackupKey flag value is %@"" flag)</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 10:37:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/iosiphone/" title="iosiphone">iosiphone</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ios-NSURLIsExcludedFromBackupKey递归的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myw6lvz.html" rel="bookmark">iOS面试一般性问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文出自:标哥的技术博客 前言 面试题中有一些一般性的问题,通常是会问到的.面试iOS应聘者时,切入点很重要,不同的切入点会导致不同的结果,没有找到合适的切入点也无法对应聘者有一个全面的了解.所以下面的面试问题更多的是提供方向,没有固定的答案,而且可以根据应聘者的回应引出更多有意思深层次的讨论. 注意:以下问题的参考答案均为笔者所答,不代表正确,问题答案因人而异,请根据自己的实际情况回答,若认为不合理,请在评论中指出.下面所有的参考答案,都是笔者站在面试官的角度来分析的,不同的面试官也会不一样.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bam6Gnb.html" rel="bookmark">iOS开发系列--并行开发其实很容易</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概览 大家都知道,在开发过程中应该尽可能减少用户等待时间,让程序尽可能快的完成运算.可是无论是哪种语言开发的程序最终往往转换成汇编语言进而解释成机器码来执行.但是机器码是按顺序执行的,一个复杂的多步操作只能一步步按顺序逐个执行.改变这种状况可以从两个角度出发:对于单核处理器,可以将多个步骤放到不同的线程,这样一来用户完成UI操作后其他后续任务在其他线程中,当CPU空闲时会继续执行,而此时对于用户而言可以继续进行其他操作:对于多核处理器,如果用户在UI线程中完成某个操作之后,其他后续操作在别的线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAraaM.html" rel="bookmark">iOS符号表恢复&amp;amp&semi;逆向支付宝</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				推荐序 本文介绍了恢复符号表的技巧,并且利用该技巧实现了在 Xcode 中对目标程序下符号断点调试,该技巧可以显著地减少逆向分析时间.在文章的最后,作者以支付宝为例,展示出通过在 UIAlertView 的 show 方法处下断点,从而获得支付宝的调用栈的过程. 本文涉及的代码也开源在:https://github.com/tobefuturer/restore-symbol,欢迎 Star 和提 Issue.感谢作者授权发表. 作者介绍:杨君,中山大学计算机系研究生,iOS 开发者,擅长领域			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7kVyp.html" rel="bookmark">转&Tab;iOS事件触摸事件处理机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       移动平台上的开发主要关注数据以及数据的处理,事件的处理以及UI.所以事件的分发处理是很重要的一个环节,对于一个平台的优劣来说也是一项重要的参数.如果事件的分发设计的不好,一些复杂的UI场景就会变得很难写甚至没法写.从小屏没有触摸的功能机开始到现在大屏多点触摸的智能机,对于事件的分发处理基本思路都是一样的--链(设计模式中有个模式就是职责链chain of responsibility),只是判定的复杂程度不同.         iOS中的事件有3类,触摸事件(单点,多点,手势).传			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3JeJz.html" rel="bookmark">C&num;、OC递归锁</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      做ios也有1年了,C#的东西有些都忘记了,最近几天也打算重温一下,不能学了ios把C#给抛弃了,两者都要抓,一精多专.目前C#只是重温,重点是web这块.今天主要是想起了之前做过的面试题,虽然题比较变态,但也有它的意义. public void test(int i) { lock(this) { if (i &gt; 10) { i--; test(i); } } } 根据线程安全的相关知识,分析以下代码,当调用test方法时i&gt;10时是否会引起死锁?并简要说明理由. 想必做过C#面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr46oM.html" rel="bookmark">iOS中block类型大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS中block类型大全 typedef的block 作为属性的block   作为变量的block   作为方法变量入参的block   作为方法参数的block   无名block   内联函数的block   递归调用的block   作为方法返回值的block   作为函数名的block(太过奇葩,完全不知道怎么用-_-!)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV7KOb.html" rel="bookmark">起底多线程同步锁&lpar;iOS&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS/MacOS为多线程.共享内存(变量)提供了多种的同步解决方案(即同步锁),对于这些方案的比较,大都讨论了锁的用法以及锁操作的开销,然后就开销表现排个序.小哥以为,最优方案的选用还是看应用场景,高频接口PK低频接口.有限冲突PK激烈竞争.代码片段耗时的长短,以上都是正确选用的重要依据,不同方案在其适用范围表现各有不同.这些方案当中,除了熟悉的iOS/MacOS系统自有的同步锁,另外还有两个自研的读写锁,还有应用开发中常见的set/get访问接口的原子操作属性. 1.@synchronize			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQnPap.html" rel="bookmark">预告 ARC 重写：iOS 实现的 json 数据源的 O-R Mapping</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS 实现的 json 数据源的 O-R Mapping 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公用协议 转载请保留此句:太阳火神的美丽人生 -  本博客专注于 敏捷开发及移动和物联设备研究:iOS.Android.Html5.Arduino.pcDuino,否则,出自本博客的文章拒绝转载或再转载,谢谢合作. 时隔几年之久,再来看这四天写出的成果,不禁对那时的自已心生敬佩. 想来,现在看这堆风格			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7OaXz.html" rel="bookmark">浅谈iOS Crash（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浅谈iOS Crash(一) 一.僵尸对象(Zombie Objects) 1.概述 僵尸对象:已经被释放掉的对象.一般来说,访问已经释放的对象或向它发消息会引起错误.因为指针指向的内存块认为你无权访问或它无法执行该消息,这时候内核会抛出一个异常( EXC ),表明你不能访问该存储区域(BAD ACCESS).(EXC_BAD_ACCESS类型错误) 调试解决该类问题一般采用NSZombieEnabled(开启僵尸模式). 2.使用NSZombieEnabled Xcode提供的NSZombie			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJeL2p.html" rel="bookmark" class="title">泛函编程（10）－异常处理－Either</a>
					<div>
						  上节我们介绍了新的数据类型Option:一个专门对付异常情况出现时可以有一致反应所使用的数据类型.Option可以使编程人员不必理会出现异常后应该如何处理结果,他只是获得了一个None值,但这个N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK40OM.html" rel="bookmark" class="title">网页设计技巧&colon;Icon Font制作细节案例</a>
					<div>
						文章描述:现在在提起Icon Font,已经不是什么新鲜的词汇了,网上已经有很多介绍它的文章,并且很多网站也已经将它用到,本篇主要是将制作Icon Font的整个流程整理一下,并且加入了自己在制作中遇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9KyXz.html" rel="bookmark" class="title">网站优化取胜的背后一定是心安理得</a>
					<div>
						搜索引擎的每一次大幅度更新,都会造成几家欢喜几家愁,相对上下浮动的不确定,可以获得固定排名和稳定权重的网站少之又少.但是一个真正有质量的网站,是基于丰富优质的内容的,而搜索引擎的算法不断调整也是建立在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yxJoz.html" rel="bookmark" class="title">汇编源码系列之clean</a>
					<div>
						这个都是过去DOS时代的汇编源码,虽然已经过去了,但是对于学习汇编还是有帮助的,汇编语言只是程序员一门基础语言,大多人掌握即可,不一定要深入研究....... name clean page 55,1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPYDQz.html" rel="bookmark" class="title">Groovy探索之MOP 十四 对Java类使用Groovy语言的MOP</a>
					<div>
						既然Groovy语言是Java语言的扩展,那么我们在使用Groovy语言的时候,就很难与Java语言真正脱得了干系,那怕我们是在做一个纯Groovy语言的项目,如Grails项目.我们可能在Groov ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa38KM.html" rel="bookmark" class="title">以全触摸屏设备为基点 谈对移动交互的构想</a>
					<div>
						前一阵子,朋友购入了 Galaxy S II ,总体满意,但仍不时在聊天时怨及其中一些&quot;反人类&quot;的设计--相信手持 Android 设备的各位心里都会有类似的感受. 这些抱怨让我想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNwE8b.html" rel="bookmark" class="title">Java实现快速排序算法&lpar;Quicktsort&rpar;</a>
					<div>
						 这篇文章主要介绍了Java实现快速排序算法(Quicktsort),有需要的朋友可以参考一下 快速排序算法介绍 快速排序和归并排序都使用分治法来设计算法,区别在于归并排序把数组分为两个基本等长的子数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7BKnM.html" rel="bookmark" class="title">PS去除雀斑修复皮肤磨皮美白技巧</a>
					<div>
						人到了一定年龄皮肤都会产生或多或少的雀斑,所以有时照片过于清晰也是一件痛苦的事,艺术照都是经过处理的,生活照就没办法了,其实可以自己利用photoshop进行简单的PS磨皮美白,可以去除雀斑修复皮肤. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXXLAp.html" rel="bookmark" class="title">如何建立一个样式新颖的CSS3搜索框</a>
					<div>
						  在线演示 搜索框大概是web开发中最常用的UI元素之一,我想基本没有必要去介绍如何使用它.无论是网站还是web应用,都会为了增强用户体验而添加它,那么你是不是也想过设计一个别致的搜索框? 在今天的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa2K8M.html" rel="bookmark" class="title">U盘让隐私随身携带</a>
					<div>
						  我们上网的时候都喜欢把经常上的网址用收藏夹收藏起来,但系统收藏夹中通常记录了我们的喜欢与隐私等这些个人信息,有没办法不让他人能够随意地偷窥这方面的隐私信息呢? 现在很多人就想到了将收藏下来的隐私内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqwrdb.html" rel="bookmark" class="title">自行添加activity-android SDK运行程序问题</a>
					<div>
						问题描述 android SDK运行程序问题 我是新手求教个问题. 很简单的helloworld程序,而且曾经运行成功过,可是某次emulator不大正常后.我全删了,然后重新搭建了android开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N2OjM.html" rel="bookmark" class="title">sqlserver-SQLServer查询selcet问题</a>
					<div>
						问题描述 SQLServer查询selcet问题 有三个表ZhiYu.Coursetype.DeYu,都有共同字段coursetypeid.表Coursetype起提供课程名称的作用.表ZhiYu.D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAr5lM.html" rel="bookmark" class="title">javaeye被封了&excl;&excl;</a>
					<div>
						问题描述 Javaeye被封了,刚刚上不去了 解决方案 解决方案二:我比你早发一步http://topic.csdn.net/u/20101122/13/6e361f4d-70c3-4d24-8e22 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN72ryp.html" rel="bookmark" class="title">c-判断一个数是否是素数，下面的程序有什么问题，求赐教</a>
					<div>
						问题描述 判断一个数是否是素数,下面的程序有什么问题,求赐教 #include int main() { int n=0; printf(&quot;Please input a number n:& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YKZgM.html" rel="bookmark" class="title">低廉劳动力撑起的 &OpenCurlyDoubleQuote;世界工厂&rdquo;，或许正经历一场嬗变</a>
					<div>
						在台湾证券交易所的显示屏上,一只名为&quot;美律&quot;的个股一度躺在跌停板上.这是一家手机零组件厂商,跌停是受深圳厂区员工要求加薪的影响.富士康一周两度加薪,推倒了加薪的&quot;多米诺骨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP3Y0p.html" rel="bookmark" class="title">java-如何把 android&period;R and myapp&period;R导入到 packages中？</a>
					<div>
						问题描述 如何把 android.R and myapp.R导入到 packages中? 我需要把 import com.myapp.R; import android.R 同时导入. 我需要使用 s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrgVWM.html" rel="bookmark" class="title">《Photoshop&plus;Lightroom数码摄影后期处理经典教程》&mdash;第1章1&period;3节存储照片</a>
					<div>
						1.3 存储照片 Photoshop+Lightroom数码摄影后期处理经典教程 同一个目录下的照片不必存在同一个文件夹或者是相同的计算机硬盘上.比如,用户常常将Lightroom的目录文件存放在计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq9rQz.html" rel="bookmark" class="title">《After Effects CC中文版超级学习手册》&mdash;&mdash;1&period;2　AE CC能使用哪些素材文件</a>
					<div>
						1.2 AE CC能使用哪些素材文件 这里先列举一个软件Photoshop,这个差不多和办公软件一样普及的软件,同是Adobe公司下的产品,Photoshop以处理静态图像效果为主,After Eff ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RNDnz.html" rel="bookmark" class="title">光伏风电如何借力能源互联网？</a>
					<div>
						在补贴政策的鼓励下,过去几年我国风电.光伏实现了高速增长.&lt;能源发展战略行动计划(2014-2020年)&gt;指出,到2020年,风电装机达到2亿千瓦,光伏装机达到1亿千瓦左右.&quot;十 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBRkBz.html" rel="bookmark" class="title">ExecutorService invokeAll 实例（转）</a>
					<div>
						 10个班级,每个班级20名学生,在指定的时间内查询每个班级学生的集合.  Java代码   package cn.com.ld.study.thread;      import java.util ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7DRez.html" rel="bookmark" class="title">窗体-在不使用数据库的情况下，如何使用c&num;的winform ，将Excel导入到datagridview中</a>
					<div>
						问题描述 在不使用数据库的情况下,如何使用c#的winform ,将Excel导入到datagridview中 小弟有个问题求教一下,如何将excel 文件放到VS的剪贴板中,再利用代码读取存储在剪贴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJPP8p.html" rel="bookmark" class="title">下一代防火墙&lpar;NGFW&rpar;如何防御APT攻击？</a>
					<div>
						本文讲的是下一代防火墙(NGFW)如何防御APT攻击,今日企业的网络安全正在面临前所未有的挑战,这主要来自于有组织.有特定目标.隐蔽性强.破坏力大.持续时间长的新型攻击和威胁,国际上称之为APT(Ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV2q5z.html" rel="bookmark" class="title">下一代广播电视网年底覆盖上海50万家庭</a>
					<div>
						&quot;下一代广播电视网&quot;昨天演示电视缴费转账等功能 年底覆盖上海50万家庭 轻按遥控器,就在电视上成功地交付了水费.电费和煤气费:用遥控器输入号码,就能在电视上成功买下一注福利彩票:再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5EqRz.html" rel="bookmark" class="title">jQuery选择器源码解读（二）：select方法&lowbar;jquery</a>
					<div>
						/* * select方法是Sizzle选择器包的核心方法之一,其主要完成下列任务: * 1.调用tokenize方法完成对选择器的解析 * 2.对于没有初始集合(即seed没有赋值)且是单一块选择器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NgPKp.html" rel="bookmark" class="title">送些什么比较有意义的呢？</a>
					<div>
						问题描述 人总说送礼物不如送健康,保健品那些爸爸老叫我别送了,他经常忘记吃的.那还可以送些什么比较有意义的呢? 解决方案 无语,这还是IT论坛嘛解决方案二:如果要送礼的话,康林跑步机绝对够档次了,再说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV75Vnb.html" rel="bookmark" class="title">求助mapx按经纬度打点的问题</a>
					<div>
						问题描述 我用mapx在地图上按经纬度打点,可是老是出现偏离的现象.就是说我按北京的经纬度ftr.GetPoint().Set(117.1,39.2);加的图元,可是程序运行后的点都偏离北京好远,快跑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWQVGz.html" rel="bookmark" class="title">海量数据分析设计思路？</a>
					<div>
						问题描述 本人刚接手了一个宽带数据分析的项目,由于本人经验不足,现在很茫然,不知道如何开始.项目的情况大概是这样的:原始数据是一个大概80M的txt文件,里面数据大概是100多万行,我要做的就是从根据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baq7Bgb.html" rel="bookmark" class="title">Bitbucket 版本控制入门指南</a>
					<div>
						在互联网成为一个巨大的.世界性的现象之前,开发团队常常被限制在一个小的物理空间内.如果公司没有资金支持的话,与世界另一方的人合作是一个非常昂贵或几乎不可能的梦想. 幸运的是,情况不再是这样了.互联网诞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y7wrb.html" rel="bookmark" class="title">预防腐败局：去年公款出国减半节约经费16亿元</a>
					<div>
						国家预防腐败局昨日在官方网站上通报了部分公款出国旅游案件查处情况.通报显示,2009年全国党政干部因公出国(境)团组数.人次数和经费数,与前3年平均数相比分别下降了49%.45.5%和37.6%,节约 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdPOKM.html" rel="bookmark" class="title">access的sql语句用两个left  join</a>
					<div>
						问题描述 Access用两个leftjoin,我已经把每个leftjoin用()了,但还是报试图执行的查询中不包含作为聚合函数一部分的特定表达式'ID'.说明:执行当前Web请求期间,出现未处理的异常 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
